require 'cocoapods-hbh/config/config'

module Pod
    class Command
      class Repo < Command
        class Push < Repo
            class HBH < Push
            # pod repo push HBHSpecs HBHNetwork.podspec、
            # --sources='http://gitlab.jiehun.tech/App/iOS/Modularization/HBHSpecs.git,https://github.com/CocoaPods/Specs' --allow-warnings
                def initialize(argv)
                    super
                    hbh_specs_env = HBHConfig.config.hbh_specs_env

                    @podspec = find_podspec if @podspec.blank?

                    # specification = Specification.from_file(@podspec)
               
                    @source_urls = [
                        "http://gitlab.jiehun.tech/App/iOS/Modularization/HBHSpecs",
                        "'https://github.com/CocoaPods/Specs.git'"] if @source_urls.blank?

                    @allow_warnings = true
                end
              #Dir.glob 可替代
                def find_podspec
                name = nil
                    Pathname.pwd.children.each do |child|
                        if File.file?(child)
                            if child.extname == ".podspec"
                            name = File.basename(child)
                            return name
                            end
                        end
                    end
                  return name
                end
            end
        end
      end
    end
end